lapacke_config.h(3)

NAME
lapacke_config.h

SYNOPSIS

#include <stdlib.h>
#include <complex.h>

  Macros
#define lapack_int int
#define lapack_logical lapack_int
#define lapack_complex_float float _Complex
#define lapack_complex_double double _Complex
#define lapack_complex_float_real(z) (creal(z))
#define lapack_complex_float_imag(z) (cimag(z))
#define lapack_complex_double_real(z) (creal(z))
#define lapack_complex_double_imag(z) (cimag(z))
#define LAPACK_malloc(size) malloc( size )
#define LAPACK_free(p) free( p )

  Functions
lapack_complex_float lapack_make_complex_float (float re, float im)
lapack_complex_double lapack_make_complex_double (double re, double im)

Macro Definition Documentation

  #define lapack_complex_double double _Complex

Definition at line 94 of file lapacke_config.h.

  #define lapack_complex_double_imag(z) (cimag(z))

Definition at line 98 of file lapacke_config.h.

  #define lapack_complex_double_real(z) (creal(z))

Definition at line 97 of file lapacke_config.h.

  #define lapack_complex_float float _Complex

Definition at line 93 of file lapacke_config.h.

  #define lapack_complex_float_imag(z) (cimag(z))

Definition at line 96 of file lapacke_config.h.

  #define lapack_complex_float_real(z) (creal(z))

Definition at line 95 of file lapacke_config.h.

  #define LAPACK_free(p) free( p )

Definition at line 112 of file lapacke_config.h.

  #define lapack_int int

Definition at line 50 of file lapacke_config.h.

  #define lapack_logical lapack_int

Definition at line 55 of file lapacke_config.h.

  #define LAPACK_malloc(size) malloc( size )

Definition at line 108 of file lapacke_config.h.

Function Documentation

  lapack_complex_double lapack_make_complex_double (double re, double im)

Definition at line 37 of file lapacke_make_complex_double.c.

  lapack_complex_float lapack_make_complex_float (float re, float im)

Definition at line 37 of file lapacke_make_complex_float.c.

Author

Generated automatically by Doxygen for LAPACK from the source code.